//!
//!

///
#[derive(Eq, Hash, Debug, Clone, Copy, PartialEq, diesel_derive_enum::DbEnum)]
pub enum MemberBankWithdrawState {
  Application,
  Complete,
}

table! {
  use diesel::sql_types::{Uuid, Text, BigInt, Nullable, Integer};
  use super::MemberBankWithdrawStateMapping;

  ///
  member_bank_withdraws(id) {
    ///
    id -> Uuid,
    ///
    member_id -> Uuid,
    ///
    bank_name -> Text,
    ///
    name -> Text,
    ///
    account_number -> Text,
    ///
    amount -> Integer,
    ///
    password -> Text,
    ///
    state -> MemberBankWithdrawStateMapping,
    ///
    state_changed_at -> Nullable<BigInt>,
    ///
    memo -> Nullable<Text>,
    ///
    created_at -> BigInt,
    ///
    updated_at -> BigInt,
  }
}
